package com.qmth.teachcloud.mark.entity;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.Objects;

/**
 * <p>
 * AI评卷得分明细表
 * </p>
 *
 * @author wangliang
 * @since 2025-04-10
 */
@ApiModel(value = "MarkAiQuestionLevel对象", description = "AI评卷得分明细表")
public class MarkAiQuestionLevel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;

    @ApiModelProperty(value = "AI评卷参数id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long aiQuestionId;

    @ApiModelProperty(value = "最小分值")
    @NotNull(message = "最小分值不能为空")
    private Double minScore;

    @ApiModelProperty(value = "最大分值")
    @NotNull(message = "最大分值不能为空")
    private Double maxScore;

    @ApiModelProperty(value = "标答")
    @NotNull(message = "标答不能为空")
    private String answer;

    public MarkAiQuestionLevel() {

    }

    public MarkAiQuestionLevel(Long aiQuestionId, Double minScore, Double maxScore, String answer) {
        this.aiQuestionId = aiQuestionId;
        this.minScore = minScore;
        this.maxScore = maxScore;
        this.answer = answer;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAiQuestionId() {
        return aiQuestionId;
    }

    public void setAiQuestionId(Long aiQuestionId) {
        this.aiQuestionId = aiQuestionId;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public String getAnswer() {
        return answer;
    }

    public void setAnswer(String answer) {
        this.answer = answer;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) {
            return true;
        }
        if (o == null || getClass() != o.getClass()) {
            return false;
        }
        MarkAiQuestionLevel that = (MarkAiQuestionLevel) o;
        return Objects.equals(aiQuestionId, that.aiQuestionId) && minScore.equals(that.minScore) && maxScore.equals(that.maxScore) && answer.equals(that.answer);
    }

    @Override
    public int hashCode() {
        return Objects.hash(aiQuestionId, minScore, maxScore, answer);
    }
}
