package com.qmth.teachcloud.mark.enums;

import java.util.LinkedList;
import java.util.List;

public enum MarkTaskAiErrorTypeStatus {
    NULL("无法评卷", 0),
    OTHER("其它错误", 1);

    private String name;

    private int value;

    private static List<MarkTaskAiErrorTypeStatus> options;

    private MarkTaskAiErrorTypeStatus(String name, int value) {
        this.name = name;
        this.value = value;
    }

    public String getName() {
        return name;
    }

    public int getValue() {
        return value;
    }

    public static MarkTaskAiErrorTypeStatus findByValue(int value) {
        for (MarkTaskAiErrorTypeStatus c : MarkTaskAiErrorTypeStatus.values()) {
            if (c.getValue() == value) {
                return c;
            }
        }
        return null;
    }

    public static List<MarkTaskAiErrorTypeStatus> getOptionList() {
        if (options == null) {
            options = new LinkedList<>();
            for (MarkTaskAiErrorTypeStatus status : MarkTaskAiErrorTypeStatus.values()) {
                options.add(status);
            }
        }
        return options;
    }

}
